LineGraph
Keywords: com.representqueens.spark.LineGraph class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.representqueens.spark
Class LineGraph

    java.lang.Object
      com.representqueens.spark.LineGraph

    public class LineGraph

extends java.lang.Object

Linegraph generation.

Field Summary
`static java.awt.Color` | `DEFAULT_COLOR`
`static SizeParams` | `DEFAULT_SIZE`

Constructor Summary
`LineGraph()`

Method Summary
`static java.awt.image.BufferedImage` | `createGraph(java.lang.Number[] data)` Create a Linegraph using defaults.
`static java.awt.image.BufferedImage` | `createGraph(java.lang.Number[] data, SizeParams size, java.awt.Color color)` Create a Linegraph.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SIZE

    public static final SizeParams DEFAULT_SIZE

### DEFAULT_COLOR

    public static final java.awt.Color DEFAULT_COLOR

Constructor Detail

### LineGraph

    public LineGraph()

Method Detail

### createGraph

    public static java.awt.image.BufferedImage createGraph(java.lang.Number[] data)

  Create a Linegraph using defaults.

  Parameters:
    `data` - Array of Number Objects to graph.
  Returns:
    BufferedImage containing a Linegraph of data.

### createGraph

    public static java.awt.image.BufferedImage createGraph(java.lang.Number[] data,
                                                           SizeParams size,
                                                           java.awt.Color color)

  Create a Linegraph.

  Parameters:
    `data` - Array of Number Objects to graph.
    `size` - SizeParams specifying graph size attributes.
    `color` - graph Color.
  Returns:
    BufferedImage containing a Linegraph of data.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD